---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/Scenes/10_Dead_ship_shore/Anim/Bg/"
---------------------------------------------------------------------------------------
createCompositionBG = nil
createCompositionderevo = nil
createCompositionfire_korabl = nil
createCompositionplesk_rain = nil
createCompositionrain2 = nil
createCompositionwater = nil
createCompositionrain1 = nil
---------------------------------------------------------------------------------------
createCompositionBG = function()
	local compositionBG = CreateCompositionSequence()
	local compositionDuration = 8
	compositionBG:setDuration(compositionDuration)
	compositionBG:setName("compositionBG" )
	compositionBG:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer fire_korabl/1
	element = createCompositionfire_korabl()
	element:setName("fire_korabl/1")
	compositionBG:addElement(element)
	element:setHotSpot(683, 384)
	element:setParentElement(compositionBG)
	element:setXY(683, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer derevo/2
	element = createCompositionderevo()
	element:setName("derevo/2")
	compositionBG:addElement(element)
	element:setHotSpot(683, 384)
	element:setParentElement(compositionBG)
	element:setXY(683, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer rain2/3
	element = createCompositionrain2()
	element:setName("rain2/3")
	compositionBG:addElement(element)
	element:setHotSpot(512, 384)
	element:setParentElement(compositionBG)
	element:setXY(574, 372)
 
	element:setScale(1.3,1.3)
	element:setRotationRad(0.34906585)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer plesk_rain/4
	element = createCompositionplesk_rain()
	element:setName("plesk_rain/4")
	compositionBG:addElement(element)
	element:setHotSpot(683, 384)
	element:setParentElement(compositionBG)
	element:setXY(683, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer water/5
	element = createCompositionwater()
	element:setName("water/5")
	compositionBG:addElement(element)
	element:setHotSpot(683, 384)
	element:setParentElement(compositionBG)
	element:setXY(683, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 	compositionBG:play()
 
	return compositionBG
end
 
createCompositionderevo = function()
	local compositionderevo = CreateCompositionSequence()
	local compositionDuration = 8
	compositionderevo:setDuration(compositionDuration)
	compositionderevo:setName("compositionderevo" )
	compositionderevo:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer layer_derevo.PNG/1
	element = CreateCompositionElement(PREFIX_PATH.."layer_derevo.PNG")
	element:setName("layer_derevo.PNG/1")
	compositionderevo:addElement(element)
	element:setHotSpot(420.5, 501.5)
	element:setParentElement(compositionderevo)
	element:setXY(1363.5, 480.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, 0.01146167255262)
	effector:setKey(_TRACK_A, 0.83333333333333, -0.0181656835405)
	effector:setKey(_TRACK_A, 0.91666666666667, -0.01943943450232)
	effector:setKey(_TRACK_A, 1.04166666666667, -0.01858155961519)
	effector:setKey(_TRACK_A, 1.20833333333333, -0.01612074819931)
	effector:setKey(_TRACK_A, 2.875, 0.02306546682883)
	effector:setKey(_TRACK_A, 3.41666666666667, 0.04269621293649)
	effector:setKey(_TRACK_A, 3.45833333333333, 0.04311808558592)
	effector:setKey(_TRACK_A, 3.54166666666667, 0.04160631811595)
	effector:setKey(_TRACK_A, 4.45833333333333, 0.01242484429962)
	effector:setKey(_TRACK_A, 4.54166666666667, 0.01220757919187)
	effector:setKey(_TRACK_A, 4.70833333333333, 0.01345490880199)
	effector:setKey(_TRACK_A, 5.04166666666667, 0.01638122416525)
	effector:setKey(_TRACK_A, 5.08333333333333, 0.01632296552619)
	effector:setKey(_TRACK_A, 5.16666666666667, 0.01544431056723)
	effector:setKey(_TRACK_A, 7, -0.00979480954712)
	effector:setKey(_TRACK_A, 7.08333333333333, -0.01022475568772)
	effector:setKey(_TRACK_A, 7.20833333333333, -0.00857298462702)
	effector:setKey(_TRACK_A, 7.95833333333333, 0.01146167255262)
	effector:play()
 
 
	-- Layer layer_kyst.PNG/2
	element = CreateCompositionElement(PREFIX_PATH.."layer_kyst.PNG")
	element:setName("layer_kyst.PNG/2")
	compositionderevo:addElement(element)
	element:setHotSpot(314.809005167806, 302.115866818435)
	element:setParentElement(compositionderevo)
	element:setXY(1364.50000000003, 766.999999999994)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, -0.08997234887753)
	effector:setKey(_TRACK_A, 1.875, 0.00987114590112)
	effector:setKey(_TRACK_A, 2.875, -0.05686149826407)
	effector:setKey(_TRACK_A, 3.41666666666667, -0.02966414623007)
	effector:setKey(_TRACK_A, 4.20833333333333, -0.05892930184118)
	effector:setKey(_TRACK_A, 4.29166666666667, -0.06054339188791)
	effector:setKey(_TRACK_A, 4.45833333333333, -0.05952823527948)
	effector:setKey(_TRACK_A, 6.45833333333333, -0.03151768304203)
	effector:setKey(_TRACK_A, 6.58333333333333, -0.03130110848306)
	effector:setKey(_TRACK_A, 6.83333333333333, -0.03633049704797)
	effector:setKey(_TRACK_A, 7, -0.04230230857942)
	effector:setKey(_TRACK_A, 7.95833333333333, -0.08997234887753)
	effector:play()
 
 
	-- Layer layer_elka.PNG/3
	element = CreateCompositionElement(PREFIX_PATH.."layer_elka.PNG")
	element:setName("layer_elka.PNG/3")
	compositionderevo:addElement(element)
	element:setHotSpot(22.5, 660.5)
	element:setParentElement(compositionderevo)
	element:setXY(-2.5, 765.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, 0.0174532925)
	effector:setKey(_TRACK_A, 0.08333333333333, 0.01727653750921)
	effector:setKey(_TRACK_A, 0.33333333333333, 0.01486761951004)
	effector:setKey(_TRACK_A, 1.54166666666667, -0.01279390473523)
	effector:setKey(_TRACK_A, 1.70833333333333, -0.01544270449183)
	effector:setKey(_TRACK_A, 1.875, -0.01706127518171)
	effector:setKey(_TRACK_A, 2, -0.0174532925)
	effector:setKey(_TRACK_A, 2.125, -0.01715927951123)
	effector:setKey(_TRACK_A, 2.33333333333333, -0.01551403775745)
	effector:setKey(_TRACK_A, 2.58333333333333, -0.01207110309625)
	effector:setKey(_TRACK_A, 3.54166666666667, 0.00523210542651)
	effector:setKey(_TRACK_A, 3.70833333333333, 0.00721870524391)
	effector:setKey(_TRACK_A, 3.83333333333333, 0.00821153170681)
	effector:setKey(_TRACK_A, 4, 0.00872664625)
	effector:setKey(_TRACK_A, 4.16666666666667, 0.0083832365545)
	effector:setKey(_TRACK_A, 4.45833333333333, 0.00639695236763)
	effector:setKey(_TRACK_A, 5.625, -0.00711596640934)
	effector:setKey(_TRACK_A, 5.79166666666667, -0.00819795944923)
	effector:setKey(_TRACK_A, 5.91666666666667, -0.0086382687546)
	effector:setKey(_TRACK_A, 6, -0.00872664625)
	effector:setKey(_TRACK_A, 6.08333333333333, -0.00858846293143)
	effector:setKey(_TRACK_A, 6.33333333333333, -0.00670937154052)
	effector:setKey(_TRACK_A, 7.58333333333333, 0.01494102901132)
	effector:setKey(_TRACK_A, 7.70833333333333, 0.01628226452874)
	effector:setKey(_TRACK_A, 7.83333333333333, 0.01714691890172)
	effector:setKey(_TRACK_A, 7.95833333333333, 0.0174532925)
	effector:play()
 
	compositionderevo:play()
 
	return compositionderevo
end
 
createCompositionfire_korabl = function()
	local compositionfire_korabl = CreateCompositionSequence()
	local compositionDuration = 8
	compositionfire_korabl:setDuration(compositionDuration)
	compositionfire_korabl:setName("compositionfire_korabl" )
	compositionfire_korabl:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer BG_smoke.png/1
	element = CreateCompositionElement(PREFIX_PATH.."BG_smoke.png")
	element:setName("BG_smoke.png/1")
	compositionfire_korabl:addElement(element)
	element:setHotSpot(27.5, 32.5)
	element:setParentElement(compositionfire_korabl)
	element:setXY(309.5, 135.5)
 
	element:setOpacity(0.75)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Smoke_cycle_001 ([1-24]).png/2
	element = CreateCompositionElement(PREFIX_PATH.."Smoke_cycle_001__[]_.png")
	element:setName("Smoke_cycle_001 ([1-24]).png/2")
	compositionfire_korabl:addElement(element)
	element:setHotSpot(33, 76)
	element:setParentElement(compositionfire_korabl)
	element:setXY(440, 264.000000000002)
 
	element:setScale(3.7, 3.7)
	element:setRotationRad(-0.27925268)
 
		local anim = element
		anim:setAnimationSize(50, 82)
		anim:setFramesCount(24)
		anim:setFPS(12)
		anim:setMode(_ANIM_FWD + _ANIM_LOOP)
		anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Smoke_cycle_001 ([1-24]).png/3
	element = CreateCompositionElement(PREFIX_PATH.."Smoke_cycle_001__[]_.png")
	element:setName("Smoke_cycle_001 ([1-24]).png/3")
	compositionfire_korabl:addElement(element)
	element:setHotSpot(33, 76)
	element:setParentElement(compositionfire_korabl)
	element:setXY(408, 154.000000000002)
 
	element:setScale(3.7, 3.7)
	element:setRotationRad(-0.593411945)
	element:setOpacity(0.62)
 
		local anim = element
		anim:setAnimationSize(50, 82)
		anim:setFramesCount(24)
		anim:setFPS(12)
		anim:setMode(_ANIM_FWD + _ANIM_LOOP)
		anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Smoke_cycle_001 ([1-24]).png/4
	element = CreateCompositionElement(PREFIX_PATH.."Smoke_cycle_001__[]_.png")
	element:setName("Smoke_cycle_001 ([1-24]).png/4")
	compositionfire_korabl:addElement(element)
	element:setHotSpot(33, 76)
	element:setParentElement(compositionfire_korabl)
	element:setXY(326, 67.000000000002)
 
	element:setScale(3.7, 3.7)
	element:setRotationRad(-0.9250245025)
	element:setOpacity(0.35)
 
		local anim = element
		anim:setAnimationSize(50, 82)
		anim:setFramesCount(24)
		anim:setFPS(12)
		anim:setMode(_ANIM_FWD + _ANIM_LOOP)
		anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer fire_1 ([1-32]).png/5
	element = CreateCompositionElement(PREFIX_PATH.."fire_1__[]_.png")
	element:setName("fire_1 ([1-32]).png/5")
	compositionfire_korabl:addElement(element)
	element:setHotSpot(51, 44.5)
	element:setParentElement(compositionfire_korabl)
	element:setXY(392, 196)
 
	element:setScale(-1.84313725490196,1.80898876404494)
	element:setOpacity(0.2)
 
		local anim = element
		anim:setAnimationSize(102,89)
		anim:setFramesCount(32)
		anim:setFPS(16)
		anim:setMode(_ANIM_FWD + _ANIM_LOOP)
		anim:setBlend(_EBlendModeColorAdd)
		anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
	compositionfire_korabl:play()
 
	return compositionfire_korabl
end
 
createCompositionplesk_rain = function()
	local compositionplesk_rain = CreateCompositionSequence()
	local compositionDuration = 8
	compositionplesk_rain:setDuration(compositionDuration)
	compositionplesk_rain:setName("compositionplesk_rain" )
	compositionplesk_rain:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer newplesk_[00000-00009].png/1
	element = CreateCompositionElement(PREFIX_PATH.."newplesk_[].png")
	element:setName("newplesk_[00000-00009].png/1")
	compositionplesk_rain:addElement(element)
	element:setHotSpot(71.5, 29.5)
	element:setParentElement(compositionplesk_rain)
	element:setXY(923.534576416016, 551.148010253906)
 
	element:setScale(0.44249486349613,0.39101889598141)
	element:setOpacity(0.4)
 
		local anim = element
		anim:setAnimationSize(143,59)
		anim:setFramesCount(10)
		anim:setFPS(18)
		anim:setMode(_ANIM_FWD + _ANIM_LOOP)
		anim:setBlend(_EBlendModeColorAdd)
		anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 7.77777777777778)
	effector:play()
 
 
	-- Layer newplesk_[00000-00009].png/2
	element = CreateCompositionElement(PREFIX_PATH.."newplesk_[].png")
	element:setName("newplesk_[00000-00009].png/2")
	compositionplesk_rain:addElement(element)
	element:setHotSpot(71.5, 29.5)
	element:setParentElement(compositionplesk_rain)
	element:setXY(237.315765380859, 432.643493652344)
 
	element:setScale(0.50350777356372,0.29558002883341)
	element:setOpacity(0.49)
 
		local anim = element
		anim:setAnimationSize(143,59)
		anim:setFramesCount(10)
		anim:setFPS(18)
		anim:setMode(_ANIM_FWD + _ANIM_LOOP)
		anim:setBlend(_EBlendModeColorAdd)
		anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0.20833333333333, 7.98611111111111)
	effector:play()
 
 
	-- Layer newplesk_[00000-00009].png/3
	element = CreateCompositionElement(PREFIX_PATH.."newplesk_[].png")
	element:setName("newplesk_[00000-00009].png/3")
	compositionplesk_rain:addElement(element)
	element:setHotSpot(71.5, 29.5)
	element:setParentElement(compositionplesk_rain)
	element:setXY(1059.03559875488, 717.211975097656)
 
	element:setScale(0.57424526713717,0.82682326342356)
	element:setOpacity(0.26)
 
		local anim = element
		anim:setAnimationSize(143,59)
		anim:setFramesCount(10)
		anim:setFPS(18)
		anim:setMode(_ANIM_FWD + _ANIM_LOOP)
		anim:setBlend(_EBlendModeColorAdd)
		anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0.20833333333333, 7.98611111111111)
	effector:play()
 
 
	-- Layer newplesk_[00000-00009].png/4
	element = CreateCompositionElement(PREFIX_PATH.."newplesk_[].png")
	element:setName("newplesk_[00000-00009].png/4")
	compositionplesk_rain:addElement(element)
	element:setHotSpot(71.5, 29.5)
	element:setParentElement(compositionplesk_rain)
	element:setXY(424.314071655273, 328.105285644531)
 
	element:setScale(0.55158802082071,0.36133653318283)
	element:setRotationRad(0.0051007703883)
	element:setOpacity(0.38)
 
		local anim = element
		anim:setAnimationSize(143,59)
		anim:setFramesCount(10)
		anim:setFPS(18)
		anim:setMode(_ANIM_FWD + _ANIM_LOOP)
		anim:setBlend(_EBlendModeColorAdd)
		anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 7.77777777777778)
	effector:play()
 
 
	-- Layer newplesk_[00000-00009].png/5
	element = CreateCompositionElement(PREFIX_PATH.."newplesk_[].png")
	element:setName("newplesk_[00000-00009].png/5")
	compositionplesk_rain:addElement(element)
	element:setHotSpot(71.5, 29.5)
	element:setParentElement(compositionplesk_rain)
	element:setXY(545.398971557617, 396.477096557617)
 
	element:setScale(0.38653875079639,0.34563034042784)
	element:setOpacity(0.38)
 
		local anim = element
		anim:setAnimationSize(143,59)
		anim:setFramesCount(10)
		anim:setFPS(18)
		anim:setMode(_ANIM_FWD + _ANIM_LOOP)
		anim:setBlend(_EBlendModeColorAdd)
		anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 7.77777777777778)
	effector:play()
 
 
	-- Layer newplesk_[00000-00009].png/6
	element = CreateCompositionElement(PREFIX_PATH.."newplesk_[].png")
	element:setName("newplesk_[00000-00009].png/6")
	compositionplesk_rain:addElement(element)
	element:setHotSpot(71.5, 29.5)
	element:setParentElement(compositionplesk_rain)
	element:setXY(753.327651977539, 312.319198608398)
 
	element:setScale(0.21431370271709,0.67862795887773)
	element:setOpacity(0.38)
 
		local anim = element
		anim:setAnimationSize(143,59)
		anim:setFramesCount(10)
		anim:setFPS(18)
		anim:setMode(_ANIM_FWD + _ANIM_LOOP)
		anim:setBlend(_EBlendModeColorAdd)
		anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0.20833333333333, 7.98611111111111)
	effector:play()
 
	compositionplesk_rain:play()
 
	return compositionplesk_rain
end
 
createCompositionrain2 = function()
	local compositionrain2 = CreateCompositionSequence()
	local compositionDuration = 8
	compositionrain2:setDuration(compositionDuration)
	compositionrain2:setName("compositionrain2" )
 
	local element
	local effector
 
	-- Layer rain1/1
	element = createCompositionrain1()
	element:setName("rain1/1")
	compositionrain2:addElement(element)
	element:setHotSpot(512, 384)
	element:setParentElement(compositionrain2)
	element:setXY(512, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(7.5, 8)
	effector:play()
 
 
	-- Layer rain1/2
	element = createCompositionrain1()
	element:setName("rain1/2")
	compositionrain2:addElement(element)
	element:setHotSpot(512, 384)
	element:setParentElement(compositionrain2)
	element:setXY(512, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(7, 7.5)
	effector:play()
 
 
	-- Layer rain1/3
	element = createCompositionrain1()
	element:setName("rain1/3")
	compositionrain2:addElement(element)
	element:setHotSpot(512, 384)
	element:setParentElement(compositionrain2)
	element:setXY(512, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(6.5, 7)
	effector:play()
 
 
	-- Layer rain1/4
	element = createCompositionrain1()
	element:setName("rain1/4")
	compositionrain2:addElement(element)
	element:setHotSpot(512, 384)
	element:setParentElement(compositionrain2)
	element:setXY(512, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(6, 6.5)
	effector:play()
 
 
	-- Layer rain1/5
	element = createCompositionrain1()
	element:setName("rain1/5")
	compositionrain2:addElement(element)
	element:setHotSpot(512, 384)
	element:setParentElement(compositionrain2)
	element:setXY(512, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(5.5, 6)
	effector:play()
 
 
	-- Layer rain1/6
	element = createCompositionrain1()
	element:setName("rain1/6")
	compositionrain2:addElement(element)
	element:setHotSpot(512, 384)
	element:setParentElement(compositionrain2)
	element:setXY(512, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(5, 5.5)
	effector:play()
 
 
	-- Layer rain1/7
	element = createCompositionrain1()
	element:setName("rain1/7")
	compositionrain2:addElement(element)
	element:setHotSpot(512, 384)
	element:setParentElement(compositionrain2)
	element:setXY(512, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(4.5, 5)
	effector:play()
 
 
	-- Layer rain1/8
	element = createCompositionrain1()
	element:setName("rain1/8")
	compositionrain2:addElement(element)
	element:setHotSpot(512, 384)
	element:setParentElement(compositionrain2)
	element:setXY(512, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(4, 4.5)
	effector:play()
 
 
	-- Layer rain1/9
	element = createCompositionrain1()
	element:setName("rain1/9")
	compositionrain2:addElement(element)
	element:setHotSpot(512, 384)
	element:setParentElement(compositionrain2)
	element:setXY(512, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(3.5, 4)
	effector:play()
 
 
	-- Layer rain1/10
	element = createCompositionrain1()
	element:setName("rain1/10")
	compositionrain2:addElement(element)
	element:setHotSpot(512, 384)
	element:setParentElement(compositionrain2)
	element:setXY(512, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(3, 3.5)
	effector:play()
 
 
	-- Layer rain1/11
	element = createCompositionrain1()
	element:setName("rain1/11")
	compositionrain2:addElement(element)
	element:setHotSpot(512, 384)
	element:setParentElement(compositionrain2)
	element:setXY(512, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(2.5, 3)
	effector:play()
 
 
	-- Layer rain1/12
	element = createCompositionrain1()
	element:setName("rain1/12")
	compositionrain2:addElement(element)
	element:setHotSpot(512, 384)
	element:setParentElement(compositionrain2)
	element:setXY(512, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(2, 2.5)
	effector:play()
 
 
	-- Layer rain1/13
	element = createCompositionrain1()
	element:setName("rain1/13")
	compositionrain2:addElement(element)
	element:setHotSpot(512, 384)
	element:setParentElement(compositionrain2)
	element:setXY(512, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(1.5, 2)
	effector:play()
 
 
	-- Layer rain1/14
	element = createCompositionrain1()
	element:setName("rain1/14")
	compositionrain2:addElement(element)
	element:setHotSpot(512, 384)
	element:setParentElement(compositionrain2)
	element:setXY(512, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(1, 1.5)
	effector:play()
 
 
	-- Layer rain1/15
	element = createCompositionrain1()
	element:setName("rain1/15")
	compositionrain2:addElement(element)
	element:setHotSpot(512, 384)
	element:setParentElement(compositionrain2)
	element:setXY(512, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0.5, 1)
	effector:play()
 
 
	-- Layer rain1/16
	element = createCompositionrain1()
	element:setName("rain1/16")
	compositionrain2:addElement(element)
	element:setHotSpot(512, 384)
	element:setParentElement(compositionrain2)
	element:setXY(512, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 0.5)
	effector:play()
 
	compositionrain2:play()
 
	return compositionrain2
end
 
createCompositionwater = function()
	local compositionwater = CreateCompositionSequence()
	local compositionDuration = 8
	compositionwater:setDuration(compositionDuration)
	compositionwater:setName("compositionwater" )
	compositionwater:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer water_new ([1-19]).png/1
	element = CreateCompositionElement(PREFIX_PATH.."water_new__[]_.png")
	element:setName("water_new ([1-19]).png/1")
	compositionwater:addElement(element)
	element:setHotSpot(150, 20)
	element:setParentElement(compositionwater)
	element:setXY(184, 365)
 
	element:setScale(0.38084376730837,0.79765729523694)
	element:setRotationRad(0.0523598775)
 
		local anim = element
		anim:setAnimationSize(300,40)
		anim:setFramesCount(19)
		anim:setFPS(12)
		anim:setMode(_ANIM_FWD + _ANIM_LOOP)
		anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(2.20833333333333, 5.375)
	effector:setKey(_TRACK_O, 2.20833333333333, 0)
	effector:setKey(_TRACK_O, 2.70833333333333, 0.65)
	effector:setKey(_TRACK_O, 4.70833333333333, 0.65)
	effector:setKey(_TRACK_O, 5.33333333333333, 0)
	effector:play()
 
 
	-- Layer water_new ([1-19]).png/2
	element = CreateCompositionElement(PREFIX_PATH.."water_new__[]_.png")
	element:setName("water_new ([1-19]).png/2")
	compositionwater:addElement(element)
	element:setHotSpot(150, 20)
	element:setParentElement(compositionwater)
	element:setXY(277, 360)
 
	element:setScale(0.42674866618034,1)
	element:setRotationRad(-0.1221730475)
 
		local anim = element
		anim:setAnimationSize(300,40)
		anim:setFramesCount(19)
		anim:setFPS(12)
		anim:setMode(_ANIM_FWD + _ANIM_LOOP)
		anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(2.20833333333333, 5.375)
	effector:setKey(_TRACK_O, 2.20833333333333, 0)
	effector:setKey(_TRACK_O, 2.70833333333333, 0.65)
	effector:setKey(_TRACK_O, 4.70833333333333, 0.65)
	effector:setKey(_TRACK_O, 5.33333333333333, 0)
	effector:play()
 
 
	-- Layer BG_water3.png/3
	element = CreateCompositionElement(PREFIX_PATH.."BG_water3.png")
	element:setName("BG_water3.png/3")
	compositionwater:addElement(element)
	element:setHotSpot(36, 38.5)
	element:setParentElement(compositionwater)
	element:setXY(525, 311.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer BG_water2.png/4
	element = CreateCompositionElement(PREFIX_PATH.."BG_water2.png")
	element:setName("BG_water2.png/4")
	compositionwater:addElement(element)
	element:setHotSpot(56.5, 57)
	element:setParentElement(compositionwater)
	element:setXY(309.5, 431)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer BG_water1.png/5
	element = CreateCompositionElement(PREFIX_PATH.."BG_water1.png")
	element:setName("BG_water1.png/5")
	compositionwater:addElement(element)
	element:setHotSpot(117, 71)
	element:setParentElement(compositionwater)
	element:setXY(242, 302)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer water2_[00000-00023].png/6
	element = CreateCompositionElement(PREFIX_PATH.."water2_[].png")
	element:setName("water2_[00000-00023].png/6")
	compositionwater:addElement(element)
	element:setHotSpot(47.5, 26)
	element:setParentElement(compositionwater)
	element:setXY(223, 407)
 
	element:setScale(2.45263157894737,1.96153846153846)
	element:setOpacity(0.2)
 
		local anim = element
		anim:setAnimationSize(95,52)
		anim:setFramesCount(24)
		anim:setFPS(24)
		anim:setMode(_ANIM_FWD + _ANIM_LOOP)
		anim:setBlend(_EBlendModeColorAdd)
		anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer water2_[00000-00023].png/7
	element = CreateCompositionElement(PREFIX_PATH.."water2_[].png")
	element:setName("water2_[00000-00023].png/7")
	compositionwater:addElement(element)
	element:setHotSpot(47.5, 26)
	element:setParentElement(compositionwater)
	element:setXY(56, 349)
 
	element:setScale(1.98947368421053,2.96153846153846)
	element:setOpacity(0.2)
 
		local anim = element
		anim:setAnimationSize(95,52)
		anim:setFramesCount(24)
		anim:setFPS(24)
		anim:setMode(_ANIM_FWD + _ANIM_LOOP)
		anim:setBlend(_EBlendModeColorAdd)
		anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer water2_[00000-00023].png/8
	element = CreateCompositionElement(PREFIX_PATH.."water2_[].png")
	element:setName("water2_[00000-00023].png/8")
	compositionwater:addElement(element)
	element:setHotSpot(47.5, 26)
	element:setParentElement(compositionwater)
	element:setXY(429, 340)
 
	element:setScale(1.98947368421053,1.96153846153846)
	element:setOpacity(0.2)
 
		local anim = element
		anim:setAnimationSize(95,52)
		anim:setFramesCount(24)
		anim:setFPS(24)
		anim:setMode(_ANIM_FWD + _ANIM_LOOP)
		anim:setBlend(_EBlendModeColorAdd)
		anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer water_new ([1-19]).png/9
	element = CreateCompositionElement(PREFIX_PATH.."water_new__[]_.png")
	element:setName("water_new ([1-19]).png/9")
	compositionwater:addElement(element)
	element:setHotSpot(150, 20)
	element:setParentElement(compositionwater)
	element:setXY(389, 384)
 
	element:setScale(0.26153429677182,0.79765729523694)
	element:setRotationRad(-0.0523598775)
 
		local anim = element
		anim:setAnimationSize(300,40)
		anim:setFramesCount(19)
		anim:setFPS(12)
		anim:setMode(_ANIM_FWD + _ANIM_LOOP)
		anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(4.25, 7.41666666666667)
	effector:setKey(_TRACK_O, 4.25, 0)
	effector:setKey(_TRACK_O, 4.75, 0.85)
	effector:setKey(_TRACK_O, 6.75, 0.85)
	effector:setKey(_TRACK_O, 7.375, 0)
	effector:play()
 
 
	-- Layer water_new ([1-19]).png/10
	element = CreateCompositionElement(PREFIX_PATH.."water_new__[]_.png")
	element:setName("water_new ([1-19]).png/10")
	compositionwater:addElement(element)
	element:setHotSpot(150, 20)
	element:setParentElement(compositionwater)
	element:setXY(432, 289)
 
	element:setScale(0.54666666666667,1)
 
		local anim = element
		anim:setAnimationSize(300,40)
		anim:setFramesCount(19)
		anim:setFPS(12)
		anim:setMode(_ANIM_FWD + _ANIM_LOOP)
		anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 3.16666666666667)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 0.5, 0.65)
	effector:setKey(_TRACK_O, 2.5, 0.65)
	effector:setKey(_TRACK_O, 3.125, 0)
	effector:play()
 
	compositionwater:play()
 
	return compositionwater
end
 
createCompositionrain1 = function()
	local compositionrain1 = CreateCompositionSequence()
	local compositionDuration = 0.5
	compositionrain1:setDuration(compositionDuration)
	compositionrain1:setName("compositionrain1" )
	compositionrain1:setBoundingBox( Rectanglef(0, 0, 1024,768) )
 
	local element
	local effector
 
	-- Layer rain_thin_000000.png/1
	element = CreateCompositionElement(PREFIX_PATH.."rain_thin_000000.png")
	element:setName("rain_thin_000000.png/1")
	compositionrain1:addElement(element)
	element:setHotSpot(256, 192)
	element:setParentElement(compositionrain1)
	element:setOpacity(0.5)
 
		local anim = element
		anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 0.5)
	effector:setKey(_TRACK_X, 0, 768)
	effector:setKey(_TRACK_Y, 0, 575)
	effector:setKey(_TRACK_X, 0.25, 768)
	effector:setKey(_TRACK_Y, 0.25, 957)
	effector:setKey(_TRACK_X, 0.29166666666667, 768)
	effector:setKey(_TRACK_Y, 0.29166666666667, 575)
	effector:setKey(_TRACK_X, 0.45833333333333, 768)
	effector:setKey(_TRACK_Y, 0.45833333333333, 957)
	effector:play()
 
 
	-- Layer rain_thin_000000.png/2
	element = CreateCompositionElement(PREFIX_PATH.."rain_thin_000000.png")
	element:setName("rain_thin_000000.png/2")
	compositionrain1:addElement(element)
	element:setHotSpot(256, 192)
	element:setParentElement(compositionrain1)
	element:setOpacity(0.5)
 
		local anim = element
		anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 0.5)
	effector:setKey(_TRACK_X, 0, 768)
	effector:setKey(_TRACK_Y, 0, -191)
	effector:setKey(_TRACK_X, 0.25, 768)
	effector:setKey(_TRACK_Y, 0.25, 191)
	effector:setKey(_TRACK_X, 0.29166666666667, 768)
	effector:setKey(_TRACK_Y, 0.29166666666667, -191)
	effector:setKey(_TRACK_X, 0.45833333333333, 765)
	effector:setKey(_TRACK_Y, 0.45833333333333, 192)
	effector:play()
 
 
	-- Layer rain_thin_000000.png/3
	element = CreateCompositionElement(PREFIX_PATH.."rain_thin_000000.png")
	element:setName("rain_thin_000000.png/3")
	compositionrain1:addElement(element)
	element:setHotSpot(256, 192)
	element:setParentElement(compositionrain1)
	element:setOpacity(0.5)
 
		local anim = element
		anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 0.5)
	effector:setKey(_TRACK_X, 0, 768)
	effector:setKey(_TRACK_Y, 0, 192)
	effector:setKey(_TRACK_X, 0.25, 768)
	effector:setKey(_TRACK_Y, 0.25, 574)
	effector:setKey(_TRACK_X, 0.29166666666667, 768)
	effector:setKey(_TRACK_Y, 0.29166666666667, 192)
	effector:setKey(_TRACK_X, 0.45833333333333, 768)
	effector:setKey(_TRACK_Y, 0.45833333333333, 574)
	effector:play()
 
 
	-- Layer rain_thin_000000.png/4
	element = CreateCompositionElement(PREFIX_PATH.."rain_thin_000000.png")
	element:setName("rain_thin_000000.png/4")
	compositionrain1:addElement(element)
	element:setHotSpot(256, 192)
	element:setParentElement(compositionrain1)
	element:setOpacity(0.5)
 
		local anim = element
		anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 0.5)
	effector:setKey(_TRACK_X, 0, 256)
	effector:setKey(_TRACK_Y, 0, 575)
	effector:setKey(_TRACK_X, 0.25, 256)
	effector:setKey(_TRACK_Y, 0.25, 957)
	effector:setKey(_TRACK_X, 0.29166666666667, 256)
	effector:setKey(_TRACK_Y, 0.29166666666667, 575)
	effector:setKey(_TRACK_X, 0.45833333333333, 256)
	effector:setKey(_TRACK_Y, 0.45833333333333, 957)
	effector:play()
 
 
	-- Layer rain_thin_000000.png/5
	element = CreateCompositionElement(PREFIX_PATH.."rain_thin_000000.png")
	element:setName("rain_thin_000000.png/5")
	compositionrain1:addElement(element)
	element:setHotSpot(256, 192)
	element:setParentElement(compositionrain1)
	element:setOpacity(0.5)
 
		local anim = element
		anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 0.5)
	effector:setKey(_TRACK_X, 0, 256)
	effector:setKey(_TRACK_Y, 0, -191)
	effector:setKey(_TRACK_X, 0.25, 256)
	effector:setKey(_TRACK_Y, 0.25, 191)
	effector:setKey(_TRACK_X, 0.29166666666667, 256)
	effector:setKey(_TRACK_Y, 0.29166666666667, -191)
	effector:setKey(_TRACK_X, 0.45833333333333, 256)
	effector:setKey(_TRACK_Y, 0.45833333333333, 191)
	effector:play()
 
 
	-- Layer rain_thin_000000.png/6
	element = CreateCompositionElement(PREFIX_PATH.."rain_thin_000000.png")
	element:setName("rain_thin_000000.png/6")
	compositionrain1:addElement(element)
	element:setHotSpot(256, 192)
	element:setParentElement(compositionrain1)
	element:setOpacity(0.5)
 
		local anim = element
		anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 0.5)
	effector:setKey(_TRACK_X, 0, 256)
	effector:setKey(_TRACK_Y, 0, 192)
	effector:setKey(_TRACK_X, 0.25, 256)
	effector:setKey(_TRACK_Y, 0.25, 574)
	effector:setKey(_TRACK_X, 0.29166666666667, 256)
	effector:setKey(_TRACK_Y, 0.29166666666667, 192)
	effector:setKey(_TRACK_X, 0.45833333333333, 256)
	effector:setKey(_TRACK_Y, 0.45833333333333, 574)
	effector:play()
 
	compositionrain1:play()
 
	return compositionrain1
end
 
